Bug 474204 - Damaged regions of Flash display are not properly redrawn
Damaged regions of Flash display are not properly redrawn
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 14:15 EST by Mikkel Lauritsen
Modified: 2009-02-03 12:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 12:55:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing the distortion (184.15 KB, image/png)
2008-12-02 14:15 EST, Mikkel Lauritsen
no flags Details
/var/log/dmesg (31.42 KB, text/plain)
2008-12-05 10:30 EST, Mikkel Lauritsen
no flags Details
/var/log/Xorg.0.log (71.92 KB, text/plain)
2008-12-05 10:31 EST, Mikkel Lauritsen
no flags Details

  None (edit)
Description Mikkel Lauritsen 2008-12-02 14:15:08 EST
Created attachment 325411 [details]
Screenshot showing the distortion

Fully updated F10 on Dell Inspiron 6400 with Radeon Mobility X1400 graphics.

When parts of the flash player display are covered by other windows or otherwise hidden they are not properly redrawn when made visible again. So far Flash is the only application where I have experienced this, but I haven't tested with other video-like applications.

The attached screenshot shows the problem. I have paused a YouTube-video and scrolled the web page up so that the video itself was hidden. I then scrolled down again, causing the video to become blank, and the Applications menu and the Screenshot utility window have then caused parts of the video to be redrawn, resulting in the the black/blue "blocks".

Installed version of Flash is flash-plugin-10.0.12.36-release.i386 FWIW.

I use the same version of Flash and the nv Xorg driver on an x86_64 F10 installation without experiencing the same problem which is why I have reported this under the ati Xorg driver.
Comment 1 Matěj Cepl 2008-12-04 19:24:29 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Also, do you have flash plugin installed from yum repository or in your ~/.mozilla directory (the latter is known not to work and it isn't supported), and what is the version of your nspluginwrapper?

Could we get output of the

mozilla-config-plugin -l

command?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Warren Togami 2008-12-04 20:58:28 EST
Mikkel, could you please provide the output from:
rpm -q kernel nspluginwrapper

Also please test the following scenarios:
* Create /etc/adobe/mms.cfg containing:
WindowlessDisable=true
Does this alone workaround the issue?
* Remove nspluginwrapper entirely.
Does this alone workaround the issue?
* Try both at the same time.
Does the combination workaround the issue?
* http://kojipkgs.fedoraproject.org/packages/nspluginwrapper/
Please also try the latest nspluginwrapper builds from here both with and without that mms.cfg option.  Any different?
Comment 3 Mikkel Lauritsen 2008-12-05 10:30:49 EST
Created attachment 325858 [details]
/var/log/dmesg
Comment 4 Mikkel Lauritsen 2008-12-05 10:31:20 EST
Created attachment 325860 [details]
/var/log/Xorg.0.log
Comment 5 Mikkel Lauritsen 2008-12-05 10:36:03 EST
dmesg and Xorg log attached.

nspluginwrapper is nspluginwrapper-1.1.2-4.fc10.i386

flash is a global install, not in ~/.mozilla

mozilla-plugin-config -l:

EXCLUDE_WRAP:
libtotem*
libjavaplugin*
gecko-mediaplayer*
mplayerplug-in*
librhythmbox*
EXCLUDE_LINK:

File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-cone-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-narrowspace-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-gmp-plugin.so
/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 1.1.2
/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.mozplugger.so
  Original plugin: /usr/lib/mozilla/plugins/mozplugger.so
  Wrapper version string: 1.1.2
File/Link /usr/lib/mozilla/plugins-wrapped/librhythmbox-itms-detection-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-basic-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-mully-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libjavaplugin.so
Comment 6 Mikkel Lauritsen 2008-12-05 14:13:57 EST
Kernel is kernel-2.6.27.5-117.fc10.i686 .

Creating /etc/adobe/mms.cfg containing WindowlessDisable=true has so far made the problem disappear - I'll keep testing, but I'm definitely happy for now :-)
Comment 7 Warren Togami 2008-12-05 14:19:51 EST
Could you please remove the mms.cfg workaround and try:
* Remove nspluginwrapper.
* Newer versions of nspluginwrapper.

My guess is that this is a combination of a bug in Flash or nspluginwrapper and the video driver.  But we need this testing data to find out.
Comment 8 Mikkel Lauritsen 2008-12-08 15:27:24 EST
This is kinda' sucky, but I seem to be unable to reproduce the problem, no matter what combinations of workaround and nspluginwrapper I try :-/

I don't know if this is because an update of the driver has crept in without me noticing, but even the original setup seems to work fine.
Comment 9 Warren Togami 2008-12-08 16:48:15 EST
It was very likely a driver issue.  My recommendation: Remove the mms.cfg, use the latest builds of nspluginwrapper, and see if any issue pops up again.  Close in a few weeks if you see nothing.
Comment 10 François Cami 2009-02-02 13:38:02 EST
Mikkel,

Have you been able to reproduce the problem ?

Thanks
Comment 11 Mikkel Lauritsen 2009-02-03 08:48:25 EST
No - I'm sorry to report that I haven't experienced the problem since.
Comment 12 François Cami 2009-02-03 12:55:02 EST
OK, thank you.
Closing as INSUFFICIENT_DATA since we're not certain what caused the bug nor when it was fixed.

Note You need to log in before you can comment on or make changes to this bug.